Install addon
POST
/marketplace/install
const url = 'https://shoehorn.example.com/api/v1/marketplace/install';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"slug":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/marketplace/install \ --header 'Content-Type: application/json' \ --data '{ "slug": "example" }'Installs an addon from the marketplace by slug.
Request Body required
Section titled “Request Body required ” Media type application/json
object
slug
required
Addon slug from marketplace
string
Example generated
{ "slug": "example"}Responses
Section titled “ Responses ”Addon installed
Addon already installed